﻿$(document).ready(function () {

			$('#gaugeContainerLin').jqxLinearGauge({
				max: 70,
				min: 0,
				pointer: { size: '5%' },
				//colorScheme: 'scheme01',
				ticksMajor: { size: '10%', interval: 10 },
				ticksMinor: { size: '5%', interval: 2.5, style: { 'stroke-width': 1, stroke: '#aaaaaa'} },
				ranges: [
				{ startValue: 20, endValue: 45, style: { fill: '#FFA200', stroke: '#FFA200'} },
				{ startValue: 45, endValue: 70, style: { fill: '#FF4800', stroke: '#FF4800'}}],
				value:0
			});
			
			// prepare chart data
            var  sourceGauge = 
			{
				datatype:"csv",
				datafields: [
					{ name:'valeur' }
				],
				url:'data/data.txt'
			};
			 
			// prepare jqxGauge settings
			var dataAdapterGauge = new $.jqx.dataAdapter(sourceGauge, {
                loadComplete: function () {
                    // get data records.
					var record = dataAdapterGauge.records[0];
					$('#gaugeContainerLin').jqxLinearGauge('value', parseInt(record.valeur));
					
					if (parseInt(record.valeur) == 10){
						$('#gaugeContainerLin').jqxLinearGauge({colorScheme: 'scheme02' });
						}
					else if (parseInt(record.valeur) == 20){
						$('#gaugeContainerLin').jqxLinearGauge({colorScheme: 'scheme06' });
					}
					else if (parseInt(record.valeur) == 30){
						$('#gaugeContainerLin').jqxLinearGauge({colorScheme: 'scheme8' });
					}
					else{
						$('#gaugeContainerLin').jqxLinearGauge({colorScheme: 'scheme11' });
					}
				}
			});				
			dataAdapterGauge.dataBind();	
		});